local metadata = {
"## Interface:FS17",
"## Title: W50PlaneBack for IFA W50L ©2017",
"## Notes: IFA W50L ©2017",
"## Author: Hewaaa",
"## Version: 1.0.0.0",
"## Date: 19.04.2017",
"## Web: http://www.modrando.com"
}

BackOpener = {};

BackOpener.modDir = g_currentModDirectory;

function BackOpener.prerequisitesPresent(specializations)
    return true; 
end;

function BackOpener:load(savegame)

    self.playerCallbackBack = SpecializationUtil.callSpecializationsFunction("playerCallbackBack"); 
    
    self.backO = {};
    
    local trigger = Utils.indexToObject( self.components, getXMLString(self.xmlFile, string.format("vehicle.backOpener#trigger")) );
    if trigger == nil then
        print("[Error::BackOpener] node is OK, but trigger could not be located. Check line "..tostring(i+1).." in your vehicle.xml");
    end;
    
    local icIndex = getXMLInt(self.xmlFile, string.format("vehicle.backOpener#icIndex", i));
    
    self.backO.icIndex = icIndex;
    self.backO.trigger = trigger;
    self.backO.plIR = false;
        
    addTrigger( trigger, "playerCallbackBack", self );                

end;

function BackOpener:delete()
    if self.backO.trigger ~= nil then
        removeTrigger(self.backO.trigger);
    end;
end;

function BackOpener:readStream(streamId, connection)
end;

function BackOpener:writeStream(streamId, connection)
end;

function BackOpener:mouseEvent(posX, posY, isDown, isUp, button)
end;

function BackOpener:keyEvent(unicode, sym, modifier, isDown)
end;

function BackOpener:update(dt)
    
    if self.backO.plIR then
        g_currentMission:addHelpButtonText( g_i18n:getText("SET_BACKOPENER"), InputBinding.SET_BACKOPENER );    
        setTextColor(1.0, 1.0, 1.0, 1.0);
        setTextAlignment(RenderText.ALIGN_LEFT);                 
        renderText( 0.5, 0.06, 0.02, g_i18n:getText("SET_BACKOPENER") );
        if InputBinding.hasEvent(InputBinding.SET_LEFTOPENER)then
            local obj = self.interactiveObjects[self.backO.icIndex];
            if obj ~= nil then
                self:doActionOnObject(self.backO.icIndex);
            end;
        end
    end;
end;

function BackOpener:onLeave()
end;

function BackOpener:draw()
end;

function BackOpener:playerCallbackBack(triggerId, otherId, onEnter, onLeave, onStay)
    
    if onEnter and g_currentMission.controlPlayer and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
        self.backO.plIR = true;
    elseif onLeave and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
        self.backO.plIR = false;
    end;
    
end;


